$(document).ready(function () {
    $('#table_id').DataTable({
    "pageLength": 10,
    select: {
            style: 'multi'
        },
    "lengthChange": false,
    dom: 'Bfrtip',
    buttons: [
                'selectAll',
                'selectNone'
            ],
    language: {
          "processing": "Подождите...",
          "search": "Поиск:",
          "lengthMenu": "Показать _MENU_ записей",
          "info": "Записи с _START_ до _END_ из _TOTAL_ записей",
          "infoEmpty": "Записи с 0 до 0 из 0 записей",
          "infoFiltered": "(отфильтровано из _MAX_ записей)",
          "infoPostFix": "",
          "loadingRecords": "Загрузка записей...",
          "zeroRecords": "Записи отсутствуют.",
          "emptyTable": "В таблице отсутствуют данные",
          "paginate": {
            "first": "Первая",
            "previous": "Предыдущая",
            "next": "Следующая",
            "last": "Последняя"
          },
          "aria": {
            "sortAscending": ": активировать для сортировки столбца по возрастанию",
            "sortDescending": ": активировать для сортировки столбца по убыванию"
          },
          "buttons": {
                      "selectAll": "Выбрать всё",
                      "selectNone": "Убрать выделение"
                  }
        },
    columnDefs: [ {
        orderable: false,
        className: 'select-checkbox',
        targets:   0
    } ],
    select: {
        style:    'multi'
    },
    order: [[ 1, 'asc' ]]
    });

    var table = $('#table_id').DataTable();

    $('#table_id tbody').on( 'click', 'tr', function () {
        $(this).toggleClass('selected');
    });


//    $('tbody tr[data-href]').addClass('clickable').click( function() {
//        window.location = $(this).attr('data-href');
//    });
});
